@mixin navItem {
  display: flex;
  align-items: center;
  column-gap: 1rem;

  text-decoration: none;
  color: #ffffff;
  height: 2.5rem;
  border-radius: 0.5rem;
  cursor: pointer;
}

#SideBarMenu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  width: 20%;
  height: 100%;
  background-color: #242424;
  border-radius: 0.5rem;

  ul {
    width: 100%;
    padding: 0;
    list-style-type: none;
    font-weight: 700;
    color: #fefefe;

    .SideMenuItem {
      @include navItem;
    }

    .SideMenuItem-selected {
      @include navItem;
      background-color:#547AFF;
    }
  }

  h4 {
    margin: 1.5rem 0 0 0;
    padding-left: 1rem;
  }
}
